STILL can't update my iPhone, help

rebekaahx

macrumors newbie
Original poster
Jul 7, 2011
5
0
so i've posted one of these before, some guy replied with a link and it's way to complicated to sort it out. every time i try to update my iphone it says "your device isnt eligible for the requested build"

my iphone isn't jailbroken, nor is it 2nd hand. should i just reset all settings? i have no idea what's preventing my iphone from updating but its really frustrating. help please
 

Cooolpenner

macrumors regular
Jul 8, 2011
217
0
Just download the ipsw and update with this one.
You'll have to hold Shift and click on restore (in itunes). Then select your downloaded ipsw.
 

BenXiaoHai

macrumors member
May 2, 2010
84
0
I'm having the same problem now. Is the ipsw specific for phone carrier or any 4.3.4 ipsw from any website will do?
 

rebekaahx

macrumors newbie
Original poster
Jul 7, 2011
5
0
Just download the ipsw and update with this one.
You'll have to hold Shift and click on restore (in itunes). Then select your downloaded ipsw.
i did exactly that, still comes up with the same message. maybe i should go to the apple store?
 

Abs_p

macrumors 6502a
Jul 15, 2011
888
396
Wirelessly posted (Mozilla/5.0 (iPhone; U; CPU iPhone OS 4_2_1 like Mac OS X; en-us) AppleWebKit/533.17.9 (KHTML, like Gecko) Version/5.0.2 Mobile/8C148 Safari/6533.18.5)

rebekaahx said:
Just download the ipsw and update with this one.
You'll have to hold Shift and click on restore (in itunes). Then select your downloaded ipsw.
i did exactly that, still comes up with the same message. maybe i should go to the apple store?
What phone is it?
It happens when u try restoring with a wrong ipsw.
 

rebekaahx

macrumors newbie
Original poster
Jul 7, 2011
5
0
Wirelessly posted (Mozilla/5.0 (iPhone; U; CPU iPhone OS 4_2_1 like Mac OS X; en-us) AppleWebKit/533.17.9 (KHTML, like Gecko) Version/5.0.2 Mobile/8C148 Safari/6533.18.5)



What phone is it?
It happens when u try restoring with a wrong ipsw.
iphone 4. i think i'm still on version 4.2.1, i downloaded 4.3.4 and it didn't work. i'm using a mac aswell, so i don't know how to choose the ispw downloaded to update with
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.